package de.duehl.swing.ui.highlightingeditor;

import de.duehl.swing.ui.highlightingeditor.buttonbar.ButtonBar;
import de.duehl.swing.ui.highlightingeditor.buttonbar.EditorForButtonBar;

/**
 * Diese Klasse stellt einen bearbeitbaren Editor mit Syntax-Highlighting dar, dessen ButtonBar
 * nicht angezeigt wird.
 *
 * @version 1.01     2017-12-07
 * @author Christian Dühl
 */

public class HighlightingEditorWithoutButtonBar extends HighlightingEditor {

    @Override
    protected ButtonBar createButtonBar() {
        ButtonBar bar = new ButtonBar((EditorForButtonBar) this);
        bar.removeFileOperationsPanel();
        return bar;
    }

}
